#
# spec file for package BasiliskII
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define name BasiliskII
%define version 1.0_JIT_20130718
%define release 1

Summary:        68k Macintosh emulator
License:        GPL
Group:          Applications/Emulators
Name:           %{name}
Version:        %{version}
Release:        2.1
Source:         %{name}_src_20130718git.tar.xz
Patch:          %name-rom.patch
URL:            http://gwenole.beauchesne.info/projects/basilisk2/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} < 1500
BuildRequires:  esound-devel
%endif
BuildRequires:  SDL-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  xz

%description
Basilisk II is an Open Source 68k Macintosh emulator. That is, it enables
you to run 68k MacOS software on you computer, even if you are using a
different operating system. However, you still need a copy of MacOS and
a Macintosh ROM image to use Basilisk II.

Some features of Basilisk II:
  - Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
    or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
    depending on the ROM being used
  - Color video display
  - CD quality sound output
  - Floppy disk driver (only 1.44MB disks supported)
  - Driver for HFS partitions and hardfiles
  - CD-ROM driver with basic audio functions
  - Easy file exchange with the host OS via a "Host Directory Tree" icon
    on the Mac desktop
  - Ethernet driver
  - Serial drivers
  - SCSI Manager (old-style) emulation
  - Emulates extended ADB keyboard and 3-button mouse
  - Uses UAE 68k emulation or (under AmigaOS and NetBSD/m68k) real 68k
    processor

%prep
%setup -q -n %name
%patch

%build
cd src/Unix
NO_CONFIGURE=1 ./autogen.sh
%configure \
	--enable-sdl-video --enable-sdl-audio \
%if 0%{?suse_version} >= 1500
	--without-esd \
%endif
	--enable-jit-compiler --disable-vosf
make %{?_smp_mflags}

%install
cd src/Unix
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/lib/BasiliskII

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README TECH TODO
%{_bindir}/BasiliskII
%{_mandir}/man1/BasiliskII.1*
%dir %_datadir/BasiliskII
%config %{_datadir}/BasiliskII/keycodes
%config %{_datadir}/BasiliskII/fbdevices
%config %{_datadir}/BasiliskII/tunconfig
%dir /usr/lib/BasiliskII

%changelog
* Mon Jul 23 2018 fstrba@suse.com
- Disable ESD on platforms that have it not
* Wed Jul 17 2013 fstrba@suse.com
- Upgrade to recent git snapshot
  * fixes Factory build of JIT compiler
- Drop unneeded patches
* Wed Jul 17 2013 fridrich.strba@suse.com
- Fix build with new autotools
- Fix name conflict with bits/fcntl-linux.h declaration of
  struct file_handle
- Enable parallel build to speed up a bit
* Tue Sep  8 2009 uli@suse.de
- update -> 20090908cvs
- enabled GTK2 UI
* Mon Nov 10 2008 uli@suse.de
- squelch sentinel warning
